import { Processor, ProcessOptions, ResultMessage } from "postcss";
import postcssrc from "postcss-load-config";
import Settings from "./settings";
import { ParseResult } from "./types";
export default class Parser {
    protected readonly settings: Settings;
    protected readonly processor: Processor;
    protected readonly postcssOptions: ProcessOptions;
    private syncOk;
    constructor(settings: Settings);
    parse(filename: string): ParseResult;
    private process;
    protected collectUsedClasses(messages: ResultMessage[], used: Set<string>): void;
    protected loadConfig(): Pick<ReturnType<typeof postcssrc.sync>, "plugins" | "options">;
    private convertClassName;
    private convertClassNames;
    private convertDashesToCamelCase;
}
